<?xml version="1.0"?>
<root
  xmlns="http://panopainter.com/layout.xsd"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>

  <layout id="dialog-brush-upload">
    <border id="background" positioning="absolute" position="0 0" color=".4 .4 .4 .8" width="100%" height="100%" align="center" justify="center" mouse-capture="true">
      <border id="form" thickness="1" border-color=".2" pad="3" width="650" dir="col">
        <border id="title" width="100%" height="30" color=".2 .2 .2 .9" dir="row" align="center" justify="center">
          <text text="Export Brushes"></text>
        </border>
        <border width="100%" color="0 0 0 .9" pad="10" dir="row" grow="1">
          <border id="files-list" dir="row" wrap="1" flood-events="1" grow="1" height="100%" margin="0 0 0 0" pad="10" color=".2 .2 .2 1">
            <node dir="col" margin="0 20 0 0">
              <image-texture id="header-tex" width="256" height="128" pad="10">
                <text id="header-descr" text="Header image.\nSelect a 256x128 pixels image that will be displayed as a preview for this brushes collection." text-wrap-width="230" color=".5"/>
              </image-texture>
              <node dir="row" width="256" height="30" justify="center" margin="10 0 0 0">
                <button id="header-gen" text="Generate" grow="1" height="100%"/>
                <button id="header-open" text="Open" grow="1" height="100%"/>
                <button id="header-clear" text="Clear" grow="1" height="100%"/>
              </node>
              <border os="win,osx,android" color=".4" grow="1" pad="5" margin="10 0 0 0" justify="center">
                <node dir="row" align="center">
                  <checkbox id="export-data" width="30" aspect-ratio="1" margin="0 5 0 0"/>
                  <text text="Export data"/>
                  <node grow="1"/>
                  <button os="osx" id="pick-dest" text="Pick dest." pad="5"/>
                </node>
                <text color=".7" text-wrap-width="256" text="Save the generated preview images to a separete folder."/>
                <text id="dest-path" margin="5 0 0 0" text-wrap-width="256"/>
              </border>
            </node>
            <node grow="1" dir="col">
              <node dir="row" height="30" align="center" margin="0 0 4 0">
                <text text="Author" margin="0 5 0 0"/>
                <text-input id="info-author" pad="5" grow="1" height="30" color=".3"/>
              </node>
              <node dir="row" height="30" align="center" margin="0 0 4 0">
                <text text="Email" margin="0 5 0 0"/>
                <text-input id="info-email" pad="5" grow="1" height="30" color=".3"/>
              </node>
              <node dir="row" height="30" align="center" margin="0 0 4 0">
                <text text="URL" margin="0 5 0 0"/>
                <text-input id="info-url" pad="5" grow="1" height="30" color=".3"/>
              </node>
              <node dir="row" grow="1">
                <text text="Description" margin="0 5 0 0"/>
                <text-input id="info-descr" text-vertical-align="top" pad="5" grow="1" height="100%" color=".3" multiline="1"/>
              </node>
            </node>
          </border>
        </border>
        <node id="footer" height="50" dir="row" align="flex-end" justify="flex-end" pad="10">
          <button id="btn-ok" text="Export" width="100" height="30" margin="0 10 0 0"/>
          <button id="btn-cancel" text="Cancel" width="60" height="30"/>
        </node>
      </border>
    </border>
  </layout>

</root>
